# Installation

* Once you have set up the dependencies, all you have to do is upload the folder to the server.

This installation guide covers both <mark style="color:red;">ESX</mark> and <mark style="color:blue;">QBCore/QBOX</mark> frameworks.

<table><thead><tr><th width="202">Resource</th><th>Source</th></tr></thead><tbody><tr><td>ox_lib</td><td><a href="https://github.com/overextended/ox_lib/releases">Download</a></td></tr></tbody></table>

## Upload folder to your server

* Upload folder to your server

## Server.cfg

The server.cfg initialization order should be as follows.

{% tabs %}
{% tab title="CORE" %}

```
start CORE
start ox_lib

-- # other resources

start 0r-heist-vangelico

```

{% endtab %}
{% endtabs %}

## Localization

* To change the preferred language from English, add the convar to your server.cfg and change en to the desired language code.

```lua
setr ox:locale en
```

* Create a locales directory and a file for your language. And edit the content of locales/en.json in your own language and write it in there.

## Items

{% tabs %}
{% tab title="OX Inventory" %}

* It is written according to the `itemName` values specified in Config. You can change it. Do not forget to change it on both sides.
* You have to put the pictures yourself.
* Add items to ox\_inventory/data/items.lua

```lua
['rolex'] = {
    label = 'Golden Watch',
    weight = 1500,
    stack = true,
},
['goldchain'] = {
    label = 'Golden Chain',
    weight = 1500,
    stack = true,
},
['gasmask'] = {
    label = 'Gas Mask',
    weight = 1,
    close = true,
},
['heist_drone'] = {
    label = 'Heist Drone',
    weight = 500,
    client = {
        image = "heist_drone.png",
    },
    close = true,
},
['heist_paint_1'] = {
    label = 'Painting #1',
    weight = 500,
    client = {
        image = "heist_painting.png",
    },
},
['heist_paint_2'] = {
    label = 'Painting #2',
    weight = 500,
    client = {
        image = "heist_painting.png",
    },
},
['heist_paint_3'] = {
    label = 'Painting #3',
    weight = 500,
    client = {
        image = "heist_painting.png",
    },
},
['heist_drill'] = {
    label = 'Heist Drill',
    weight = 2000,
    client = {
        image = "heist_drill.png",
    },
},
["iphone"] = {
    label = "iPhone",
    weight = 1000,
    stack = true,
    close = true,
    description = "Very expensive phone",
    client = {
        image = "iphone.png",
    }
},
["diamond"] = {
    label = "Diamond",
    weight = 1000,
    stack = true,
    close = true,
    description = "A diamond seems like the jackpot to me!",
    client = {
        image = "diamond.png",
    }
},
```

{% endtab %}

{% tab title="QB Inventory" %}

* It is written according to the `itemName` values specified in Config. You can change it. Do not forget to change it on both sides.
* You have to put the pictures yourself.
* Add item to shared items.lua

```lua
rolex                       = { name = 'rolex', label = 'Golden Watch', weight = 1500, type = 'item', image = '', unique = true, useable = true, shouldClose = true, description = 'Golden Watch' },
goldchain                   = { name = 'goldchain', label = 'Golden Chain', weight = 1500, type = 'item', image = '', unique = true, useable = true, shouldClose = true, description = 'Golden Chain' },
gasmask                     = { name = 'gasmask', label = 'Gas Mask', weight = 1, type = 'item', image = '', unique = true, useable = true, shouldClose = true, description = 'Gas Mask' },
heist_drone                 = { name = 'heist_drone', label = 'Heist Drone', weight = 500, type = 'item', image = 'heist_drone.png', unique = true, useable = true, shouldClose = true, description = 'Heist Drone' },
heist_paint_1               = { name = 'heist_paint_1', label = 'Painting #1', weight = 500, type = 'item', image = 'heist_painting.png', unique = true, useable = true, shouldClose = false, description = 'Painting #1' },
heist_paint_2               = { name = 'heist_paint_2', label = 'Painting #2', weight = 500, type = 'item', image = 'heist_painting.png', unique = true, useable = true, shouldClose = false, description = 'Painting #2' },
heist_paint_3               = { name = 'heist_paint_3', label = 'Painting #3', weight = 500, type = 'item', image = 'heist_painting.png', unique = true, useable = true, shouldClose = false, description = 'Painting #3' },
heist_drill                 = { name = 'heist_drill', label = 'Heist Drill', weight = 2000, type = 'item', image = 'heist_drill.png', unique = true, useable = true, shouldClose = true, description = 'Heist Drill' },
iphone                      = { name = 'iphone', label = 'iPhone', weight = 1000, type = 'item', image = 'iphone.png', unique = true, useable = true, shouldClose = true, description = 'Very expensive phone' },
diamond                     = { name = 'diamond', label = 'Diamond', weight = 1000, type = 'item', image = 'diamond.png', unique = true, useable = true, shouldClose = true, description = 'A diamond seems like the jackpot to me!' },
money                       = { name = 'money', label = 'Money', weight = 0, type = 'item', image = 'money.png', unique = false, useable = true, shouldClose = false, description = 'Money' },
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.0resmon.org/0resmon/0r-resources/0r-heist/vangelico/installation.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
